﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Program
{
    public abstract class Vozilo
    {
        private readonly int id;
        public static int counter = 100;

        protected Vozilo(int brojŠasije, int kolicinaPrijedena, int snaga)
        {
            id = counter;
            counter += 10;
            BrojŠasije = brojŠasije;
            KolicinaPrijedena = kolicinaPrijedena;
            Snaga = snaga;
        }

        private int BrojŠasije { get; }
        public int KolicinaPrijedena { get; set; }
        public int Snaga { get; set; }
        public string Gasenje()
        => "Ugasen";

        public  string Kocenje()
        => "Zakocio";

        public  string Paljenje()
        => "Upaljen";

        public  string Voznja()
        => "Vozi";

        public override string ToString()
        => $"ID: {id}, Broj šasije: {BrojŠasije}, Kolicina prijeđena: {KolicinaPrijedena}, Snaga: {Snaga}";
    }
}
